- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Typedefs | Enumerations | Variables
Lock

## Macros
#define | EINA_MAIN_LOOP_CHECK_RETURN_VAL(val)
| The macro doesn't do anything unless EINA_HAVE_DEBUG_THREADS is defined. More...
#define | EINA_MAIN_LOOP_CHECK_RETURN
| The macro doesn't do anything unless EINA_HAVE_DEBUG_THREADS is defined.

## Typedefs
typedef void(* | Eina_TLS_Delete_Cb )(void *ptr)

## Enumerations
enum | Eina_Lock_Result { EINA_LOCK_FAIL = EINA_FALSE, EINA_LOCK_SUCCEED = EINA_TRUE, EINA_LOCK_DEADLOCK }

## Variables
Eina_Error | EINA_ERROR_NOT_MAIN_LOOP

## Detailed Description

## Macro Definition Documentation

#define EINA_MAIN_LOOP_CHECK_RETURN_VAL | ( |  | val | ) |

The macro doesn't do anything unless EINA_HAVE_DEBUG_THREADS is defined.

Parameters

  val | The value to be returned.

Referenced by ecore_animator_del(), ecore_animator_frametime_get(), ecore_animator_source_get(), ecore_event_add(), ecore_event_current_event_get(), ecore_event_current_type_get(), ecore_event_del(), ecore_event_filter_add(), ecore_event_filter_del(), ecore_event_handler_add(), ecore_event_handler_data_get(), ecore_event_handler_data_set(), ecore_event_handler_del(), ecore_event_type_new(), ecore_exe_cmd_get(), ecore_exe_data_get(), ecore_exe_data_set(), ecore_exe_event_data_get(), ecore_exe_flags_get(), ecore_exe_free(), ecore_exe_pid_get(), ecore_exe_pipe_run(), ecore_exe_run(), ecore_exe_run_priority_get(), ecore_exe_send(), ecore_exe_tag_get(), ecore_idle_enterer_del(), ecore_idle_exiter_del(), ecore_idler_del(), ecore_job_del(), ecore_main_fd_handler_active_get(), ecore_main_fd_handler_add(), ecore_main_fd_handler_del(), ecore_main_fd_handler_fd_get(), ecore_main_fd_handler_file_add(), ecore_main_loop_iterate_may_block(), ecore_main_loop_select_func_get(), ecore_pipe_del(), ecore_poller_del(), ecore_poller_poll_interval_get(), ecore_thread_active_get(), ecore_thread_feedback_run(), ecore_thread_max_get(), ecore_thread_pending_feedback_get(), ecore_thread_pending_get(), ecore_thread_pending_total_get(), ecore_thread_run(), ecore_throttle_get(), ecore_timer_add(), ecore_timer_del(), and ecore_timer_precision_get().